Bug 1308665 - [feature request]: Shift+Click on switcher button opens a new window
[feature request]: Shift+Click on switcher button opens a new window
Status: NEW
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 12:17 EST by Van de Bugger
Modified: 2017-11-09 01:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 09:03:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Van de Bugger 2016-02-15 12:17:22 EST
Evolution main window contains pane of switcher buttons: Mail, Contacts, Calendar, Tasks, Memos. Click on a switcher button opens a selected tool in the current window. Shift+Click and Ctrl+Click do the same.

I propose a small improvement. In a web browser, Shift+Click on a link opens link in a new window, Ctrl+Click opens a link in a new tab. It would be nice to have similar behavior in Evolution: Shift+Click on a switcher button leaves current window intact but opens a selected tool in a new window.
Comment 1 Fedora End Of Life 2016-11-24 10:35:07 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2017-07-25 16:10:39 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2017-08-08 09:03:32 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Milan Crha 2017-11-07 03:05:32 EST
Thanks for a bug report (and keeping it alive). There is is middle-mouse-button-click for this purpose, implemented for quite some time. Would it work for you, please?
Comment 5 Van de Bugger 2017-11-08 19:15:26 EST
Thanks, I did not know it. However, my idea was to use the same shortcuts as Firefox (and Chromium):

middle click     opens a new tab
ctrl+left click  opens a new tab
shift+left click opens a new window

(<https://support.mozilla.org/en-US/kb/mouse-shortcuts-perform-common-tasks>.) 

Of course, opening a new tab is not applicable to Evolution, but opening a new window by shift+left click does.
Comment 6 Milan Crha 2017-11-09 01:14:04 EST
Sure, consistency is good to have. You can use the middle-click as a workaround for now.

Note You need to log in before you can comment on or make changes to this bug.